# Table of contents

* [Developer Documentation](README.md)

## API Reference

* [Peerplays Core API](api-reference/peerplays-core-api/README.md)
  * [Popular API Calls](api-reference/peerplays-core-api/popular-api-calls.md)
  * [Account History](api-reference/peerplays-core-api/account-history.md)
  * [Asset API](api-reference/peerplays-core-api/asset-api.md)
  * [Block API](api-reference/peerplays-core-api/block-api.md)
  * [Crypto API](api-reference/peerplays-core-api/crypto-api.md)
  * [Database API](api-reference/peerplays-core-api/database-api.md)
  * [Network Broadcast API](api-reference/peerplays-core-api/network-broadcast-api.md)
  * [Network Nodes API](api-reference/peerplays-core-api/network-nodes-api.md)
  * [Orders API](api-reference/peerplays-core-api/orders-api.md)
* [Wallet API](api-reference/wallet-api/README.md)
  * [Account Calls](api-reference/wallet-api/account-calls.md)
  * [Asset Calls](api-reference/wallet-api/asset-calls.md)
  * [Blockchain Inspection](api-reference/wallet-api/blockchain-inspection.md)
  * [General Calls](api-reference/wallet-api/general-calls.md)
  * [Governance](api-reference/wallet-api/governance.md)
  * [Privacy Mode](api-reference/wallet-api/privacy-mode.md)
  * [Trading Calls](api-reference/wallet-api/trading-calls.md)
  * [Transaction Builder](api-reference/wallet-api/transaction-builder.md)
  * [Wallet Calls](api-reference/wallet-api/wallet-calls.md)
* [Bookie API](api-reference/bookie-api/README.md)
  * [General Calls](api-reference/bookie-api/general-calls.md)
  * [Listeners](api-reference/bookie-api/listeners.md)
  * [Tournaments](api-reference/bookie-api/tournaments.md)

## Peerplays API Libraries

* [Python Peerplays](peerplays-api-libraries/python-peerplays/README.md)
  * [Installation](peerplays-api-libraries/python-peerplays/installation.md)
  * [Creating an Account](peerplays-api-libraries/python-peerplays/creating-an-account.md)
  * [Creating a Peerplays Wallet](peerplays-api-libraries/python-peerplays/creating-a-peerplays-wallet.md)
  * [NFT API](peerplays-api-libraries/python-peerplays/nft-api.md)
  * [Marketplace API](peerplays-api-libraries/python-peerplays/marketplace-api.md)
  * [Role Based Permissions API](peerplays-api-libraries/python-peerplays/role-based-permissions-api.md)

## Development Guides

* [Creating User Issued Assets](development-guides/creating-user-issued-assets.md)
* [Introduction to Permissions](development-guides/introduction-to-permissions.md)
* [NFT Minting](development-guides/nft-minting.md)
* [Calculating Costs](development-guides/calculating-costs.md)

## The Cookbook <a href="#cookbook" id="cookbook"></a>

* [NFTs for Staking Creator Tokens](cookbook/nfts-for-staking-creator-tokens.md)

## Tools and Integrations

* [PeerID](tools-and-integrations/peerid/README.md)
  * [1.0.0](tools-and-integrations/peerid/1.0.0/README.md)
    * [Infrastructure](tools-and-integrations/peerid/1.0.0/infrastructure/README.md)
      * [Deployment on a Linux Serve](tools-and-integrations/peerid/1.0.0/infrastructure/deployment-on-a-linux-serve.md)
      * [Deployment to AWS ECS](tools-and-integrations/peerid/1.0.0/infrastructure/deployment-to-aws-ecs/README.md)
        * [Building the Docker Images](tools-and-integrations/peerid/1.0.0/infrastructure/deployment-to-aws-ecs/building-the-docker-images.md)
        * [Storing Secrets in Amazon Parameter Store to use in ECS](tools-and-integrations/peerid/1.0.0/infrastructure/deployment-to-aws-ecs/storing-secrets-in-amazon-parameter-store-to-use-in-ecs.md)
        * [Creating the Task Definition](tools-and-integrations/peerid/1.0.0/infrastructure/deployment-to-aws-ecs/creating-the-task-definition.md)
        * [Creating the Cluster](tools-and-integrations/peerid/1.0.0/infrastructure/deployment-to-aws-ecs/creating-the-cluster.md)
        * [Creating the Service](tools-and-integrations/peerid/1.0.0/infrastructure/deployment-to-aws-ecs/creating-the-service.md)
    * [Development](tools-and-integrations/peerid/1.0.0/development/README.md)
      * [How does PeerID work without storing the keys ?](tools-and-integrations/peerid/1.0.0/development/how-does-peerid-work-without-storing-the-keys.md)
      * [Authentication with PeerID](tools-and-integrations/peerid/1.0.0/development/authentication-with-peerid.md)
      * [Brain Storming](tools-and-integrations/peerid/1.0.0/development/brain-storming.md)
      * [Software Requirements](tools-and-integrations/peerid/1.0.0/development/software-requirements.md)
  * [Authentication with PeerID](tools-and-integrations/peerid/authentication-with-peerid.md)
  * [Requirements Specification](tools-and-integrations/peerid/requirements-specification.md)
* [Random Number Generator](tools-and-integrations/random-number-generator/README.md)
  * [RNG Technical Summary](tools-and-integrations/random-number-generator/rng-technical-summary.md)
  * [RNG API](tools-and-integrations/random-number-generator/rng-api.md)

## Supporting & Reference Docs

* [Peerplays Development FAQs](supporting-and-reference-docs/peerplays-development-faqs.md)
* [Sidechain Operator Node (SON) Development](supporting-and-reference-docs/sidechain-operator-node-development/README.md)
  * [Generic Sidechain Docs](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/README.md)
    * [Quick joining GLADIATOR](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/quick-joining-gladiator.md)
    * [Changes to Peerplaysjs-lib](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/changes-to-peerplaysjs-lib.md)
    * [Requirements Specification](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/requirements-specification.md)
    * [Low Level Designs](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/README.md)
      * [bitcoin-deposit-handling-lld](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/bitcoin-deposit-handling-lld.md)
      * [bitcoin-operations-draft](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/bitcoin-operations-draft.md)
      * [bitcoin-sidechain-handler-lld](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/bitcoin-sidechain-handler-lld.md)
      * [bitcoin-sidechain-multisig-bitcoin-wallet-and-bitcoin-addresses-pw](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/bitcoin-sidechain-multisig-bitcoin-wallet-and-bitcoin-addresses-pw.md)
      * [bitcoin-withdrawal-handling-lld](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/bitcoin-withdrawal-handling-lld.md)
      * [btc-address-scripting-mechanism](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/btc-address-scripting-mechanism.md)
      * [comparison-between-scenarios-for-handling-deposits-and-withdrawals](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/comparison-between-scenarios-for-handling-deposits-and-withdrawals.md)
      * [exchange-rate-list](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/exchange-rate-list.md)
      * [generic-sidechain-deposit-hld](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/generic-sidechain-deposit-hld.md)
      * [generic-sidechain-high-level-design](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/generic-sidechain-high-level-design.md)
      * [generic-sidechain-listener-hld](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/generic-sidechain-listener-hld.md)
      * [generic-sidechain-withdrawal-hld](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/generic-sidechain-withdrawal-hld.md)
      * [refund-btc-mechanism](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/refund-btc-mechanism.md)
      * [son-configuration](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/son-configuration.md)
      * [son-consensus-communication-and-transaction-signing-on-chain-lld](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/son-consensus-communication-and-transaction-signing-on-chain-lld.md)
      * [son-de-register-proposals-lld](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/son-de-register-proposals-lld.md)
      * [son-objects-and-operators](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/son-objects-and-operators.md)
      * [son-rewards-lld](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/son-rewards-lld.md)
      * [son-voting-lld](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/son-voting-lld.md)
      * [son-wallet-list\_sons-lld](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/son-wallet-list\_sons-lld.md)
      * [creation of a multi-sig bitcoin address lld](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/untitled-1.md)
      * [claiming initial son vesting lld](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/untitled-2.md)
      * [changeover and SON maintenance scenarios lld](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/untitled.md)
      * [user-sidechain-addresses-mapping](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/user-sidechain-addresses-mapping.md)
      * [wallet-commands-for-son](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/low-level-designs/wallet-commands-for-son.md)
    * [Functional Specs](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/functional-specs/README.md)
      * [SON Configuration](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/functional-specs/son-configuration.md)
      * [SON rewards](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/functional-specs/son-rewards.md)
      * [SON Voting and Consensus](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/functional-specs/son-voting-and-consensus.md)
      * [SONs switchover scenarios](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/functional-specs/sons-switchover-scenarios.md)
      * [SON Status Operations & Monitoring](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/functional-specs/son-status-operations-and-monitoring.md)
      * [Proposals](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/functional-specs/proposals.md)
      * [SON Smart Contracts](supporting-and-reference-docs/sidechain-operator-node-development/generic-sidechain-docs/functional-specs/son-smart-contracts.md)
  * [Bitcoin Sidechain Docs](supporting-and-reference-docs/sidechain-operator-node-development/bitcoin-sidechain-docs/README.md)
    * [Functional Specs](supporting-and-reference-docs/sidechain-operator-node-development/bitcoin-sidechain-docs/functional-specs-1/README.md)
      * [btc-refunds](supporting-and-reference-docs/sidechain-operator-node-development/bitcoin-sidechain-docs/functional-specs-1/functional-specs.md)
      * [voting-and-consensus](supporting-and-reference-docs/sidechain-operator-node-development/bitcoin-sidechain-docs/functional-specs-1/voting-and-consensus.md)
      * [son-switchover](supporting-and-reference-docs/sidechain-operator-node-development/bitcoin-sidechain-docs/functional-specs-1/son-switchover.md)
      * [son-rewards](supporting-and-reference-docs/sidechain-operator-node-development/bitcoin-sidechain-docs/functional-specs-1/son-rewards.md)
      * [son-proposals](supporting-and-reference-docs/sidechain-operator-node-development/bitcoin-sidechain-docs/functional-specs-1/son-proposals.md)
      * [son-configuration](supporting-and-reference-docs/sidechain-operator-node-development/bitcoin-sidechain-docs/functional-specs-1/son-configuration.md)
      * [heartbeat-monitoring](supporting-and-reference-docs/sidechain-operator-node-development/bitcoin-sidechain-docs/functional-specs-1/heartbeat-monitoring.md)
      * [BTC Transaction Processing & Signing](supporting-and-reference-docs/sidechain-operator-node-development/bitcoin-sidechain-docs/functional-specs-1/btc-transaction-processing-and-signing.md)
      * [Bitcoin Withdrawal Handling](supporting-and-reference-docs/sidechain-operator-node-development/bitcoin-sidechain-docs/functional-specs-1/bitcoin-withdrawal-handling.md)
      * [Bitcoin Deposit Handling](supporting-and-reference-docs/sidechain-operator-node-development/bitcoin-sidechain-docs/functional-specs-1/bitcoin-deposit-handling.md)
      * [SON Multisig Bitcoin Wallet](supporting-and-reference-docs/sidechain-operator-node-development/bitcoin-sidechain-docs/functional-specs-1/son-multisig-bitcoin-wallet.md)
  * [Hive Sidechain Docs](supporting-and-reference-docs/sidechain-operator-node-development/hive-sidechain-docs/README.md)
    * [Functional Specs](supporting-and-reference-docs/sidechain-operator-node-development/hive-sidechain-docs/functional-specs/README.md)
      * [HIVE Deposit Handling](supporting-and-reference-docs/sidechain-operator-node-development/hive-sidechain-docs/functional-specs/hive-deposit-handling.md)
      * [HIVE Withdrawal Handling](supporting-and-reference-docs/sidechain-operator-node-development/hive-sidechain-docs/functional-specs/hive-withdrawal-handling.md)
* [Peerplays DEX Development](supporting-and-reference-docs/peerplays-dex-development/README.md)
  * [Peerplays NEX](supporting-and-reference-docs/peerplays-dex-development/peerplays-nex/README.md)
    * [Functional Specifications](supporting-and-reference-docs/peerplays-dex-development/peerplays-nex/functional-specifications/README.md)
      * [NEX-FS01 Dashboard Page](supporting-and-reference-docs/peerplays-dex-development/peerplays-nex/functional-specifications/nex-fs01-dashboard-page/README.md)
        * [NEX-FS12 ETH-SONs Deposit/Withdraw Functionality](supporting-and-reference-docs/peerplays-dex-development/peerplays-nex/functional-specifications/nex-fs01-dashboard-page/nex-fs12-eth-sons-deposit-withdraw-functionality.md)
      * [NEX-FS02 Login and Account Creation](supporting-and-reference-docs/peerplays-dex-development/peerplays-nex/functional-specifications/nex-fs02-login-and-account-creation.md)
      * [NEX-FS03 Menus and Nav](supporting-and-reference-docs/peerplays-dex-development/peerplays-nex/functional-specifications/nex-fs03-menus-and-nav.md)
      * [NEX-FS04 Notifications](supporting-and-reference-docs/peerplays-dex-development/peerplays-nex/functional-specifications/nex-fs04-notifications.md)
      * [NEX-FS05a Market Page (alpha)](supporting-and-reference-docs/peerplays-dex-development/peerplays-nex/functional-specifications/nex-fs05a-market-page-alpha.md)
      * [NEX-FS05 Market Page](supporting-and-reference-docs/peerplays-dex-development/peerplays-nex/functional-specifications/nex-fs05-market-page.md)
      * [NEX-FS06 Profile Page](supporting-and-reference-docs/peerplays-dex-development/peerplays-nex/functional-specifications/nex-fs06-profile-page.md)
      * [NEX-FS07 Wallet Functions](supporting-and-reference-docs/peerplays-dex-development/peerplays-nex/functional-specifications/nex-fs07-wallet-functions.md)
      * [NEX-FS08 App Settings](supporting-and-reference-docs/peerplays-dex-development/peerplays-nex/functional-specifications/nex-fs08-app-settings.md)
      * [NEX-FS09 Blockchain Page](supporting-and-reference-docs/peerplays-dex-development/peerplays-nex/functional-specifications/nex-fs09-blockchain-page.md)
      * [NEX-FS10 GPOS Page](supporting-and-reference-docs/peerplays-dex-development/peerplays-nex/functional-specifications/nex-fs10-gpos-page.md)
      * [NEX-FS11 WhaleVault Integration](supporting-and-reference-docs/peerplays-dex-development/peerplays-nex/functional-specifications/nex-fs11-whalevault-integration.md)
  * [Requirements Specification](supporting-and-reference-docs/peerplays-dex-development/requirements-specification.md)
  * [Functional Specs](supporting-and-reference-docs/peerplays-dex-development/functional-specs/README.md)
    * [Asset Info Page and Asset Lists](supporting-and-reference-docs/peerplays-dex-development/functional-specs/asset-info-page-and-asset-lists.md)
    * [Dashboard](supporting-and-reference-docs/peerplays-dex-development/functional-specs/dashboard.md)
    * [Exchange Page](supporting-and-reference-docs/peerplays-dex-development/functional-specs/exchange-page.md)
    * [Login and Account Creation](supporting-and-reference-docs/peerplays-dex-development/functional-specs/login-and-account-creation.md)
    * [User Account Page](supporting-and-reference-docs/peerplays-dex-development/functional-specs/user-account-page.md)
    * [Voting Page](supporting-and-reference-docs/peerplays-dex-development/functional-specs/voting-page.md)
* [SPK Network](supporting-and-reference-docs/spk-network/README.md)
  * [Functional Specs](supporting-and-reference-docs/spk-network/functional-specs/README.md)
    * [Claimdrop Snapshot Functional Specification](supporting-and-reference-docs/spk-network/functional-specs/claimdrop-snapshot-functional-specification.md)
    * [Initial Claimdrop Functional Specification](supporting-and-reference-docs/spk-network/functional-specs/initial-claimdrop-functional-specification.md)
* [NFT Development](supporting-and-reference-docs/nft-development/README.md)
  * [NFT Store](supporting-and-reference-docs/nft-development/nft-store/README.md)
    * [NFT Store User Stories](supporting-and-reference-docs/nft-development/nft-store/nft-store-user-stories.md)
    * [NFT Store UI HLD](supporting-and-reference-docs/nft-development/nft-store/nft-store-ui-hld.md)
    * [NFT Store Requirements Specification](supporting-and-reference-docs/nft-development/nft-store/nft-store-requirements-specification.md)
    * [Functional Specifications](supporting-and-reference-docs/nft-development/nft-store/functional-specifications/README.md)
      * [APP-FS01 App Header](supporting-and-reference-docs/nft-development/nft-store/functional-specifications/app-fs01-app-header.md)
      * [APP-FS02 App Body](supporting-and-reference-docs/nft-development/nft-store/functional-specifications/app-fs02-app-body.md)
      * [APP-FS03 App Footer](supporting-and-reference-docs/nft-development/nft-store/functional-specifications/app-fs03-app-footer.md)
      * [APP-FS04 App Navigation](supporting-and-reference-docs/nft-development/nft-store/functional-specifications/app-fs04-app-navigation.md)
      * [APP-FS05 Wallet Functions](supporting-and-reference-docs/nft-development/nft-store/functional-specifications/app-fs05-wallet-functions.md)
      * [APP-FS06 App Home Page](supporting-and-reference-docs/nft-development/nft-store/functional-specifications/app-fs06-app-home-page.md)
      * [APP-FS07 Account Page](supporting-and-reference-docs/nft-development/nft-store/functional-specifications/app-fs07-account-page.md)
      * [APP-FS08 Browse View](supporting-and-reference-docs/nft-development/nft-store/functional-specifications/app-fs08-browse-view.md)
    * [App Page List](supporting-and-reference-docs/nft-development/nft-store/app-page-list.md)
    * [Requirement Traceability Matrix](supporting-and-reference-docs/nft-development/nft-store/requirement-traceability-matrix.md)
* [Operation IDs List](supporting-and-reference-docs/operation-ids-list.md)
* [Sidechain Flow Diagram (HIVE coin)](supporting-and-reference-docs/sidechain-flow-diagram-hive.md)
* [Sidechain Flow Diagram (Bitcoin)](supporting-and-reference-docs/sidechain-flow-diagram-bitcoin.md)
* [Sidechain Flow Diagram (Ethereum coin)](supporting-and-reference-docs/sidechain-flow-diagram-ethereum-coin.md)
* [TradeHands Explorer](supporting-and-reference-docs/tradehands-explorer/README.md)
  * [User Personas](supporting-and-reference-docs/tradehands-explorer/user-personas.md)
  * [User stories](supporting-and-reference-docs/tradehands-explorer/user-stories.md)
  * [APP-FS01 Detailed View](supporting-and-reference-docs/tradehands-explorer/app-fs01-detailed-view.md)
  * [Draft: APP-FS02 Front Page](supporting-and-reference-docs/tradehands-explorer/draft-app-fs02-front-page.md)
  * [APP-FS03 Collection Details Page](supporting-and-reference-docs/tradehands-explorer/app-fs03-collection-details-page.md)
* [Grafana](supporting-and-reference-docs/grafana/README.md)
  * [Grafana Installation](supporting-and-reference-docs/grafana/grafana-installation.md)
  * [Install Grafana Behind reverse proxy](supporting-and-reference-docs/grafana/install-grafana-behind-reverse-proxy.md)
  * [Loki Installation](supporting-and-reference-docs/grafana/loki-installation.md)
  * [Promtail agent Installation](supporting-and-reference-docs/grafana/promtail-agent-installation.md)
  * [Grafana Explorer](supporting-and-reference-docs/grafana/grafana-explorer.md)
* [NEX Deployment & Configuration](supporting-and-reference-docs/nex-deployment-and-configuration/README.md)
  * [NEX Deployment](supporting-and-reference-docs/nex-deployment-and-configuration/nex-deployment.md)
  * [NEX - Blockchain API configuration](supporting-and-reference-docs/nex-deployment-and-configuration/nex-blockchain-api-configuration.md)
  * [Deploying NEX in a HA scenario](supporting-and-reference-docs/nex-deployment-and-configuration/deploying-nex-in-a-ha-scenario.md)
* [API Node](supporting-and-reference-docs/api-node/README.md)
  * [MarketCap API](supporting-and-reference-docs/api-node/marketcap-api.md)
* [TOTO Application](supporting-and-reference-docs/toto-application/README.md)
  * [FS-Subscription Plan](supporting-and-reference-docs/toto-application/fs-subscription-plan.md)
  * [FS-Achievements](supporting-and-reference-docs/toto-application/fs-achievements.md)

## Development Workflow Docs

* [Development Workflow](development-workflow-docs/development-workflow.md)

## Other Documentation

* [Peerplays Home](https://peerplays.com)
* [Community Docs](https://community.peerplays.com)
* [Infrastructure Docs](https://infra.peerplays.com)
* [Site Reliability Engineering](https://sre.peerplays.com/)
